<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>activity2 s05</title>	
</head>
<body>


	<h1 align="center">Welcome, to HTML Forms Page</h1>

<!-- main isa a sematic container used to show/display the main content of a page -->
	<main>
		
		<section>
			<h2>HTML FORMS</h2>
			<p>
				HTML Forms are used to gather information/data from our user and send that information to a server
			</p>
		</section>

		<section>
			<!-- form tags allows to create a form. We can gather and send user input from our form -->

			<!-- action attribute is used to define where the information gathered will be passed after the submission -->

			<form action="https://google.com">
				<!-- label tags create a text element that serves as a lable to input filled 
					-for attribute to this element such as that when this lable is clicked our cursor will be moed into our input
				-->
				<!-- fname attribute in input elements allows us to provide a name, identifier for the Value of the input element. This is used to identify the value of an inut in a form data -->

				<label for="fname">Full Name:</label>
				<br>
				<input type="text" id="fname" name="fullName" required autocomplete />
				<br>

				<label for="bday">Birthdate:</label>

				<br>
				<input type="date" name="bdate" id="bday" required/>
				<br>
				<!-- age -->
				<label for="ageInput">AGE:</label>
				<br>
				<input type="number" name="age" id="ageInput" min="18" max="40" required/>
				<br>

				<!-- gender -->
				<label for="gender Input">Gender:</label>
				<br>
				<select name="gender" id="genderInput">
					<option value=""male>Male</option>
					<option value="female">Female</option>
					<option value="other">Not to Mention</option>
				</select>
				<br>

				<!-- radio button -->
				<label>New User?</label>
				<br>
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				<label for="radioUser1"> Yes</label>
				<br>
				<input type="radio" name="new_user" id="radioUser2" value="no">
				<label for="radioUser2" >No</label>
				<br>
				<!-- Checkbox -->
				<input type="checkbox" name="role1" id="roleInput1" value="developer">
				<label for="roleInput1">Developer</label>
				<br>
				<input type="checkbox" name="role2" id="roleInput2" value="student">
				<label for="roleInput2">Student</label>
				<br>
				<input type="checkbox" name="role3" id="roleInput3" value="manager">
				<label for="roleInput3">Manager</label>
				<br>
	 			<label for="messageInput">Message</label>
	 			<textarea name="message" rows="4" id="messageInput"></textarea>

	 			<br><br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
		</section>
	</main>
	
	

	<div></div>
</body>
</html>